package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.vo.UrPatentValidVo;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.system.domain.UrPatentValid;

/**
 * 有效专利Mapper接口
 * 
 * @author dm
 * @date 2023-02-10
 */
public interface UrPatentValidMapper 
{
    /**
     * 查询有效专利列表
     * 
     * @param urPatentValid 有效专利
     * @return 有效专利集合
     */
    public List<UrPatentValid> selectUrPatentValidList(UrPatentValid urPatentValid);

    /**
     * 获取专利有效-概览统计  动态表头
     * @param   vo  有效专利视图对象
     * @return
     */
    public List<UrPatentValid> selectHeaderList(UrPatentValidVo vo);

    public List<UrPatentValid> selectGroupDistrictName();

    void setDistrictName(String districtName);
}
